1. Ramp
Vortex
  • Documentation
    • Overview
    • Quick Start With The SDK
    • Authentication And Partner Keys
    • Ramp Lifecycle
    • Ephemeral Key Custody
    • Quotes And Pricing
    • Webhooks
    • Widget Integration
    • BRL / KYC notes
    • Sandbox
    • Production Checklist
    • AI Agent Integration
  • API Endpoints
    • Vortex Widget
      • Create widget session
    • Quotes
      • Create a new quote
      • Get existing quote
      • Create a quote for the best network
    • Ramp
      • Get ramp status
        GET
      • Get ramp error logs
        GET
      • Get ramp history for wallet address
        GET
      • Register new ramp process
        POST
      • Start ramp process
        POST
      • Update ramp process
        POST
    • Reference Data
      • Supported Countries
      • Supported Cryptocurrencies
      • Supported Fiat Currencies
      • Supported Payment Methods
    • Public Key
      • Public Key
    • Webhooks
      • Register Webhook
      • Delete Webhook
    • Account Management
      • Create user or retry KYC
      • Get user's KYC status
      • Get selfie liveness URL
      • Get KYC document upload URLs
      • Get user information
      • Get user's remaining transaction limits
      • Submit KYC level 1 data
      • Validate Pix key
    • Schemas
      • AccountMeta
      • AveniaDocumentType
      • AveniaKYCDataUploadRequest
      • AveniaKYCDataUploadResponse
      • BrlaAddress
      • BrlaErrorResponse
      • BrlaGetSelfieLivenessUrlResponse
      • BrlaValidatePixKeyResponse
      • CleanupPhase
      • CountryCode
      • CreateBestQuoteRequest
      • CreateQuoteRequest
      • CreateSubaccountRequest
      • CreateSubaccountResponse
      • DestinationType
      • DocumentUploadEntry
      • ErrorResponse
      • FiatToken
      • GetKycStatusResponse
      • GetRampErrorLogsResponse
      • GetRampHistoryResponse
      • GetRampHistoryTransaction
      • GetUserRemainingLimitResponse
      • GetUserResponse
      • GetWidgetUrlLocked
      • GetWidgetUrlRefresh
      • KYCDataUploadFileFiles
      • KYCDocType
      • KycLevel1Payload
      • KycLevel1Response
      • Networks
      • OnChainToken
      • PaymentData
      • PaymentMethod
      • PresignedTx
      • QuoteResponse
      • RampCurrency
      • RampDirection
      • RampErrorLog
      • RampPhase
      • RampProcess
      • RegisterRampRequest
      • SimpleStatus
      • StartKYC2Request
      • StartKYC2Response
      • StartRampRequest
      • TaxIdType
      • TriggerOfframpRequest
      • TriggerOfframpResponse
      • UnsignedTx
      • UpdateRampRequest
      • ValidatePixKeyResponse
  1. Ramp

Update ramp process

Production
Production
POST
/v1/ramp/update
Submits presigned transactions and additional data to an existing ramp process before starting it.
This endpoint can be called many times, and data can be incrementally added to the ramp.
Note: For both pre-signed transactions and the generic additionalData object, existing properties will be overriden by new values.

Required data for ramps.#

The signed counterpart of the initial unsignedTxs object must be provided for all ramps, as required by the object.
For offramps, the additionalData field must contain the confirmation hash corresponding to the inital transaction in which the user sends the funds.
If the originating chain is Assethub, then assetHubToPendulumHash must be provided.
If the originating chain is any EVM chain, then squidRouterApproveHash and squidRouterSwapHash must be provided.
For onramps, no additional data is required after registering the ramp.

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Ramp process successfully started or updated.
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/ramp/update' \
--header 'Content-Type: application/json' \
--data '{
    "additionalData": {
        "squidRouterApproveHash": "0x123...",
        "squidRouterSwapHash": "0x456..."
    },
    "presignedTxs": [
        {
            "meta": {},
            "nonce": 1,
            "phase": "RampPhase",
            "signer": "GB2TP24WCY6BPGFX4SOGDHT7IGJRR7HCDQT2VL2MVCZJTJCGKMVGQGQB",
            "txData": "AAAAAKu..."
        }
    ],
    "rampId": "proc_12345"
}'
Response Response Example
200 - Success
{
    "createdAt": "2024-05-16T10:00:00Z",
    "currentPhase": "processing",
    "depositQrCode": "00020126...",
    "from": "stellar",
    "id": "proc_12345",
    "quoteId": "quote_7af7171e-aa42-49a2-80c2-9e18483bad38",
    "to": "pix",
    "type": "off",
    "unsignedTxs": [],
    "updatedAt": "2024-05-16T12:30:00Z"
}
Modified at 2026-05-19 08:43:06
Previous
Start ramp process
Next
Supported Countries
Built with